import React, { useMemo } from "react";
import { locales } from "@pisell/utils";
//#region src/components/booking/hooks/useCreateBookingPageHeader.tsx
const useCreateBookingPageHeader = (state) => {
	return {
		createHeader: useMemo(() => {
			if (state.hideCreateText) return null;
			return state.isBookingCreatePage && !state.bookingId && /* @__PURE__ */ React.createElement("div", { className: "booking-info-create-new" }, locales.getText("pisell2.booking.info.text.create-new"));
		}, [state.isBookingCreatePage, state.bookingId]),
		isBookingCreatePage: useMemo(() => {
			return state.isBookingCreatePage;
		}, [state.isBookingCreatePage]),
		isBookingCreatePageCreateMode: useMemo(() => {
			return state.isBookingCreatePage && !state.bookingId;
		}, [state.isBookingCreatePage, state.bookingId])
	};
};
//#endregion
export { useCreateBookingPageHeader as default };
